#!/usr/bin/ruby
#
# Turing -- Ruby implementation of Captcha
#
# Copyright © 2005 Michal Šafránek <wejn@box.cz>
#
# This file is part of http://turing.rubyforge.org/
#
# See turing.rb in lib/ directory for license terms.
#

# This file demonstrates how to use Turing::Challenge
# to create challenge/response interface with Captcha.

require 'rubygems'
gem 'turing'
require 'turing'

tc = Turing::Challenge.new(:store => 'store', :outdir => '.')
c = tc.generate_challenge

system("xv", c.file)

puts "Enter solution:"
r = $stdin.gets.chomp

if tc.valid_answer?(c.id, r)
    puts "That's right."
else
    puts "I don't think so."
end
