#
# Turing -- Ruby implementation of Captcha
#
# Copyright © 2005 Michal Šafránek <wejn@box.cz>
#
# This file is part of http://turing.rubyforge.org/
#
# See turing.rb in lib/ directory for license terms.
#
require 'turing/image_plugins/__squaring_helper'

# == BlackSquaring Turing test
# Blends text, background and makes square pattern over image.
class Turing::Image::BlackSquaring < Turing::Image # {{{
	def initialize(opts = {})
		super(opts)
		@squaring_color = GD2::Color[0, 0, 0]
	end

	include Turing::Image::SquaringHelper
end # }}}

# vim: set ts=4 sw=4 :
